Bug 1387950 - kexec-tools: support for arm64 kdump
Summary: kexec-tools: support for arm64 kdump
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kexec-tools
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pratyush Anand
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 925630
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2016-10-24 01:45 UTC by Dave Young
Modified: 2017-06-27 06:52 UTC (History)
10 users (show)

Fixed In Version: kexec-tools-2.0.15-1.fc26.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 925630
Environment:
Last Closed: 2017-06-27 06:51:34 UTC


Attachments (Terms of Use)

Description Dave Young 2016-10-24 01:45:27 UTC
+++ This bug was initially created as a clone of Bug #925630 +++

Support for the ARM 64 bit CPU architecture (aarch64) was introduced in 
autoconf 2.69.  kexec-tools appears to use an earlier version of 
autoconf, preventing its being built.  This can be fixed in of three ways (In order of preference):

1. Work with upstream to migrate the package to autoconf 2.69.

2. Rerun autoconf or autoreconf in %prep or %build prior to running 
configure.

3. Apply the patch at http://ausil.fedorapeople.org/aarch64/kexec-tools/kexec-tools-aarch64.patch
which updates config.guess and config.sub to recognize aarch64.

--- Additional comment from Jan Kurik on 2015-07-15 10:49:22 EDT ---

This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

--- Additional comment from Dave Young on 2016-07-20 00:01:02 EDT ---

Bugzilla automaticlly assign Fedora kexec-tools bugs to Baoquan, move this to Pratyush since he is tracking the arm64 kexec/kdump issues..

--- Additional comment from Peter Robinson on 2016-07-20 23:12:07 EDT ---

For reference the patches have now been posted upstream for review:

kexec-tools: http://www.spinics.net/lists/arm-kernel/msg519421.html
kernel support: http://www.spinics.net/lists/arm-kernel/msg513743.html

--- Additional comment from Jan Kurik on 2016-07-26 00:54:00 EDT ---

This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

--- Additional comment from Peter Robinson on 2016-07-28 02:44:27 EDT ---

Kernel support for kexec and kprobes has landed upstream in the 4.8 kernel

--- Additional comment from Peter Robinson on 2016-09-19 04:04 EDT ---

Initial kexec-tools aarch64 support for Fedora.

koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=15703232

--- Additional comment from Peter Robinson on 2016-10-19 05:43:04 EDT ---

Any comments or can I push this?

--- Additional comment from Dave Young on 2016-10-19 21:25:48 EDT ---

Hi, Peter,

kexec has been upstreamed, but kdump is not yet. I usually rebase new kexec-tools after upstream kexec-tools bumps a new version. So it means we will have it after a rebase.

Simon, the upstream kexec-tools maintainer will release a new version roughly match mainline kernel release schedule.

Do you want the backport now? Or can we wait for next rebase.

Please let us know, if you think it is urgent, either you or Pratyush can post the backport patches to Fedora kexec list, we can merge them after passing patch review.

Thanks
Dave

--- Additional comment from Peter Robinson on 2016-10-20 04:35:42 EDT ---

(In reply to Dave Young from comment #8)
> Hi, Peter,
> 
> kexec has been upstreamed, but kdump is not yet. I usually rebase new
> kexec-tools after upstream kexec-tools bumps a new version. So it means we
> will have it after a rebase.
> 
> Simon, the upstream kexec-tools maintainer will release a new version
> roughly match mainline kernel release schedule.
> 
> Do you want the backport now? Or can we wait for next rebase.
> 
> Please let us know, if you think it is urgent, either you or Pratyush can
> post the backport patches to Fedora kexec list, we can merge them after
> passing patch review.

I would dearly love to land this in Fedora 25 for GA which freezes on Nov 1st [1] and get it enabled in anaconda (so we'd need to co-ordinate a build there).

I'm not sure if anaconda uses the kdump side of the functionality although I've not looked closed hence only adding the kexec bits in that patch (I did vaguely look at the kdump side of things).

The bits actually used by the installer are the more interesting bits for the GA release because we don't respin post GA where as other functionality can go out as a standard update process.

[1] https://fedoraproject.org/wiki/Releases/25/Schedule

--- Additional comment from Dave Young on 2016-10-20 05:06:15 EDT ---

Peter,

So, could you please post the backports to Fedora kexec list after review I can hopefully merge and build it before f25 freeze..

Thanks
Dave

--- Additional comment from Peter Robinson on 2016-10-20 05:25:43 EDT ---

> So, could you please post the backports to Fedora kexec list after review I
> can hopefully merge and build it before f25 freeze..

It's attached to this BZ. If it really must be posted by me to the list please provide a link to the list

--- Additional comment from Dave Young on 2016-10-23 06:09:33 EDT ---

(In reply to Peter Robinson from comment #11)
> > So, could you please post the backports to Fedora kexec list after review I
> > can hopefully merge and build it before f25 freeze..
> 
> It's attached to this BZ. If it really must be posted by me to the list
> please provide a link to the list

Yes, please, we need review the patches and do some test.

--- Additional comment from Dave Young on 2016-10-23 21:44:31 EDT ---

FYI, the kexec list is below:

kexec@lists.fedoraproject.org

Comment 1 Fedora End Of Life 2017-02-28 10:29:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Pratyush Anand 2017-05-25 07:23:05 UTC
ARM64 kdump patches merged in upstream. A rebase to v2.0.15 will bring in all the needed patch for this BZ.

Comment 3 Pratyush Anand 2017-06-26 09:20:59 UTC
2.0.15 is released now. A rebase of fedora kexec-tools will help to resolve this issue.

Comment 4 Dave Young 2017-06-27 06:52:30 UTC
Hi Pratyush,

Rebased, if there are still problems we can open new bugs to fix them.

Thanks
Dave


Note You need to log in before you can comment on or make changes to this bug.